> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequenzy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Campaign

> Get one campaign with its email content

Get a campaign and its editable email blocks.

## Request

<ParamField path="campaignId" type="string" required>
  Campaign ID.
</ParamField>

```bash theme={null}
curl "https://api.sequenzy.com/api/v1/campaigns/camp_abc123" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Responses

<ResponseExample>
  ```json 200 theme={null}
  {
    "success": true,
    "campaign": {
      "id": "camp_abc123",
      "name": "April Launch",
      "subject": "A quick update",
      "preheader": "Latest product news",
      "status": "draft",
      "labels": ["edm", "launch"],
      "blocks": [],
      "campaignData": null,
      "computedLists": [],
      "replyProfileId": "reply_abc123",
      "replyToName": "Support",
      "replyToEmail": "support@example.com",
      "scheduledAt": null,
      "sentAt": null,
      "createdAt": "2026-05-01T10:30:00Z",
      "url": "https://sequenzy.com/dashboard/company/comp_abc123/campaign/camp_abc123",
      "previewUrl": "https://sequenzy.com/dashboard/company/comp_abc123/campaign/camp_abc123?step=review"
    }
  }
  ```

  ```json 401 theme={null}
  {
    "success": false,
    "error": "Unauthorized"
  }
  ```

  ```json 404 theme={null}
  {
    "success": false,
    "error": "Campaign not found"
  }
  ```
</ResponseExample>
